[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TBrush.Create

Constructor for the class instance.

## Declaration

Source position: graphics.pp line 732

`public constructor TBrush.Create; override;`

## Description

Create is the overridden constructor for the class instance. Create calls the inherited constructor on entry, and sets the default values for properties including:

Bitmap
  Set to Nil.
Color
  Set to clWhite. The inherited SetFPColor method is called to apply the new value.
Style
  The default value is bsSolid, and the inherited SetStyle method is called to apply the value in ancestor classes.

Create sets the value in DelayAllocate to True to defer resource allocation until the brush is used. The internal counter used to track updates is reset.

## See also

TObject.Create